Bug 7700 - Improvement of return code of smbclient
Improvement of return code of smbclient
Status: RESOLVED FIXED
Product: Samba 3.3
Classification: Unclassified
Component: Client tools
3.3.1
x86 Linux
: P3 normal
: ---
Assigned To: Volker Lendecke
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-28 01:03 UTC by H Hasegawa
Modified: 2010-11-07 19:03 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description H Hasegawa 2010-09-28 01:03:56 UTC
Hi, 

Thank you for your continued business.
I think return code of smbclient might be more accurate
when some points of client.c modified.

A> in cmd_mkdir() of client.c ( line 1462, 1471)
The return value has not been implemented yet.
When there is an error, it returns code 1, others it return code 0.

B> in cmd_rmdir() of client.c (line 2678)
The return value should be "return 1" if an error 
happened.

C> in cmd_dir() of client.c 
The do_list() returns void, it should return 
an integer value to express status of it.

D> in cmd_del() of client.c
The do_list() and do_del() both return void, 
it should return the integer values. 

Thank you for your attention.
Best regards
Comment 1 Jeremy Allison 2010-10-29 15:57:55 UTC
I've fixed this problem with a larger patch based on your code. Fix in v3-6-test and master.

Jeremy.
Comment 2 H Hasegawa 2010-11-07 19:03:39 UTC
Thank you for your kindly helps.
I changed the status to FIXED.
Thanks a lot.